Skip to main content
POST
/
virtual-account-numbers
Create a Virtual Account Number
curl --request POST \
  --url https://api.flutterwave.com/v3/virtual-account-numbers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "testtest@gmail.com",
  "amount": 100,
  "tx_ref": "Sample_tx_ref-001",
  "phonenumber": "08100000000",
  "firstname": "Flutterwave",
  "lastname": "Developers",
  "narration": "Add_the_name_of_account_here",
  "is_permanent": true,
  "bvn": "12345678901"
}
'
{
  "status": "success",
  "message": "Virtual account created",
  "data": {
    "response_code": "02",
    "response_message": "Transaction in progress",
    "flw_ref": "MockFLWRef-1711620308271",
    "order_ref": "URF_1711620308080_5006035",
    "account_number": "0067100155",
    "account_status": "active",
    "frequency": 1,
    "bank_name": "Mock Bank",
    "created_at": 1711620308271,
    "expiry_date": 1711620308271,
    "note": "Mock note",
    "amount": "100.00"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string
required
amount
integer<int32>
required
tx_ref
string
required
phonenumber
string
required
firstname
string
required
lastname
string
required
narration
string
required
is_permanent
boolean
required
bvn
string
required

Response

OK

status
string
required
message
string
required
data
Data47 · object
required
Example:
{
"response_code": "02",
"response_message": "Transaction in progress",
"flw_ref": "MockFLWRef-1711620308271",
"order_ref": "URF_1711620308080_5006035",
"account_number": "0067100155",
"account_status": "active",
"frequency": 1,
"bank_name": "Mock Bank",
"created_at": 1711620308271,
"expiry_date": 1711620308271,
"note": "Mock note",
"amount": "100.00"
}